Bug 137370 - Shutdown from GDM is incomplete on laptop
Shutdown from GDM is incomplete on laptop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 16:19 EDT by Russell Tokuyama
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 14:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Tokuyama 2004-10-27 16:19:24 EDT
Description of problem:
Intermittently, when shutting down from GDM my IBM ThinkPad A22p's
screen goes blank and is not completely shutdown.  On a following boot
up, there are indications of an incomplete shutdown.  A normal
shutdown has the screen returning to VT1 and shows the shutdown
sequence messages on the console and ends by powering off.

Version-Release number of selected component (if applicable):
gdm-2.6.0.0-3

How reproducible:
The incomplete shutdown happens intermittently; sometimes 2-3 times
in a row followed by 2-3 normal shutdowns in a row.

Steps to Reproduce:
1. Set bootup for GDM and run level 6.
2. Login or not.
3. If logged in, select logout and a shutdown action.  If at the
   GDM login screen with the Blue Curve theme, select shutdown.
  
Actual results:
The screen goes blank and system appears to be in a semi-shutdown
state as it no longer responds to keyboard entry but the battery light
indicates that the laptop is still running and not powered off.

Expected results:
A normal shutdown will have the screen returned to VT1 and displays
the messages from shutdown as it proceeds throught the shutdown
sequence.  Things end with the power going off as evidenced by the
laptop's battery light going off.


Additional info:
Comment 1 Russell Tokuyama 2004-12-15 15:16:23 EST
Sorry but I just noticed that this is similar to Bugs 142240 and 138776.
Comment 2 Russell Tokuyama 2004-12-23 18:01:48 EST
If I don't boot into X, shutdown powers off.
Comment 3 Matthew Miller 2005-04-26 12:16:00 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Russell Tokuyama 2005-04-26 13:42:32 EDT
After upgrading from 2.6.9-1.9_FC2 to 2.6.9-1.11_FC2, this problem went away.

Note You need to log in before you can comment on or make changes to this bug.